using System.Windows;
using SciChart.Examples.ExternalDependencies.Controls.ExceptionView;
using SciChart.Charting.Visuals;

namespace SciChartExport
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
		     DispatcherUnhandledException += App_DispatcherUnhandledException;

			 InitializeComponent();
          //  SciChartSurface.SetRuntimeLicenseKey(@"
          //<LicenseContract>
          //      <Customer>sagar.gorla@dwpractice.net</Customer>
          //      <OrderId>TRIAL-EXTENSION</OrderId>
          //       <LicenseCount>1</LicenseCount>
          //       <IsTrialLicense>true</IsTrialLicense>
          //       <SupportExpires>12/06/2019 00:00:00</SupportExpires>
          //       <KeyCode>tgIBATSKyn3LlNUBAIBHGsir1QEeAAEAaABDdXN0b21lcj1zYWdhci5nb3JsYUBkd3ByYWN0aWNlLm5ldDtPcmRlcklkPVRSSUFMLUVYVEVOU0lPTjtTdWJzY3JpcHRpb25WYWxpZFRvPTA2LURlYy0yMDE5O1Byb2R1Y3RDb2RlPV2FoPauxmoXkh7mU7Ff+jIgpkNiLXuGvQNj49RhLnaOIpbQdsmzYZsdTRoOAR1WJg==</KeyCode>
          //</LicenseContract>
          //  "
          //);
        }

		private void App_DispatcherUnhandledException(object sender,
            System.Windows.Threading.DispatcherUnhandledExceptionEventArgs e)
        {            
            var exceptionView = new ExceptionView(e.Exception)
            {
                WindowStartupLocation = WindowStartupLocation.CenterScreen,
            };
            exceptionView.ShowDialog();

            e.Handled = true;
        }
    }
}
